#!/bin/bash

# wait until web-app has started...
until curl --silent --connect-timeout 1 -X POST http://localhost:8080/topeni-server/rest/logout
do
  # echo -n .
  sleep 1
done

# start the browser with URL to the web-app client
chromium\
  --kiosk\
  --enable-kiosk-mode\
  --no-first-run\
  --enabled\
  --touch-events\
  --touch-events-ui\
  --allow-file-access-from-files\
  --disable-java\
  --disable-restore-session-state\
  --disable-sync\
  --disable-translate\
  --disable-translate-new-ux\
  --disable-infobars\
  "http://localhost:8080/topeni-webapp?user=pi&pass=pi&serverUrl=?server=http%3A%2F%2Flocalhost%3A8080%2Ftopeni-server" &>/dev/null &
